-- ----------------------------------------------------------------------------
-- Copyright (C) 2011 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS, Fabian TP Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: Hungarian TTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Eszter"
language = "Hungarian"
marc_code = "hun"
language_id = "17"
id = "17002"
config_file = "hungarian_tts/config_tts.lua"
audio_files_path = "hungarian_tts/hungarian_tts"
rulesets_file = "hungarian_tts/hungarian_tts/rulesets_HUH.txt"
apdb = "apdb/eszter/nm"
audio_files_version = "0.3.0.2012031601"
feature_list = { "metric", "imperial_uk", "imperial_us" }
client_range = "[ client >= 1.4.6.0 ; client < 1.7.0.0 ]"

maneuver_check = {
    ["END"] = "megérkezik az úti célhoz",                               -- You will reach your destination
    ["STOPOVER"] = "megérkezik egy megállóhoz",                         -- You will reach a stopover
    ["JUNCTION"] = nil,                                                 -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                            -- the junction
    ["ROUNDABOUT"] = "a körforgalomban",                                -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "válassza a kijáratot",                       -- take the exit
    ["UTURN"] = "forduljon meg",                                        -- Make a uturn
    ["ENTER_HIGHWAY"] = "hajtson fel az autópályára",
    ["LEAVE_HIGHWAY"] = "válassza a kijáratot",                         -- take the exit
    ["CONTINUE_HIGHWAY"] = "válassza a kijáratot",                      -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "hajtson fel az autópályára",
    ["LEAVE_URBAN_HIGHWAY"] = "válassza a kijáratot",                   -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "válassza a kijáratot",
    ["DRIVE_TO_NEAREST_ROAD"] = "Vezessen a legközelebbi úthoz",        -- drive to nearest road 
    ["FERRY"] = "válassza a kompot"
}

maneuver_turns_car = {
    ["NO_TURN"] = "haladjon egyenesen tovább",
    ["KEEP_MIDDLE"] = "válassza a középso sávot",
    ["KEEP_RIGHT"] = "tartson jobbra",
    ["LIGHT_RIGHT"] = "forduljon enyhén jobbra",
    ["QUITE_RIGHT"] = "forduljon jobbra",
    ["HEAVY_RIGHT"] = "forduljon élesen jobbra",
    ["RETURN"] = "forduljon meg",
    ["HEAVY_LEFT"] = "forduljon élesen balra",
    ["QUITE_LEFT"] = "forduljon balra",
    ["LIGHT_LEFT"] = "forduljon enyhén balra",
    ["KEEP_LEFT"] = "tartson balra",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "haladjon egyenesen tovább",
    ["KEEP_MIDDLE"] = "válassza a középso sávot",
    ["KEEP_RIGHT"] = "haladjon a jobb oldali utcán",
    ["LIGHT_RIGHT"] = "forduljon enyhén jobbra",
    ["QUITE_RIGHT"] = "forduljon jobbra",
    ["HEAVY_RIGHT"] = "forduljon élesen jobbra",
    ["RETURN"] = "forduljon meg",
    ["HEAVY_LEFT"] = "forduljon élesen balra",
    ["QUITE_LEFT"] = "forduljon balra",
    ["LIGHT_LEFT"] = "forduljon enyhén balra",
    ["KEEP_LEFT"] = "haladjon a bal oldali utcán",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "menjen át az épületen",
    ["SQUARE"] = "menjen át a téren",
    ["PARK"] = "menjen át a parkon",
    ["STAIRS"] = "válassza a lépcsot",
    ["ELEVATOR"] = "szálljon be a liftbe",
    ["ESCALATOR"] = "szálljon be a liftbe"
}

final_command = {
    ["END"] = "Megérkezett az úti célhoz",                  	 -- You have reached your destination
    ["STOPOVER"] = "Megérkezett egy megállóhoz"                -- You have reached a stopover
}

exit_number_check = {
    [1] = {"válassza az elso kijáratot,", "forduljon az elso utcába,"},                      -- take the first exit
    [2] = {"válassza a második kijáratot,", "forduljon a második utcába,"},           			 -- take the second exit
    [3] = {"válassza a harmadik kijáratot,", "forduljon a harmadik utcába,"},                -- take the third exit
    [4] = {"válassza a negyedik kijáratot,", "forduljon a negyedik utcába,"},                -- take the fourth exit
    [5] = {"válassza az ötödik kijáratot,", "forduljon az ötödik utcába,"},                  -- take the fifth exit
    [6] = {"válassza a hatodik kijáratot,", "forduljon a hatodik utcába,"},                  -- take the sixth exit
    [7] = {"válassza a hetedik kijáratot,", "válassza a hetedik kijáratot,"},              	 -- take the seventh exit
    [8] = {"válassza a nyolcadik kijáratot,", "válassza a nyolcadik kijáratot,"},            -- take the eighth exit
    [9] = {"válassza a kilencedik kijáratot,", "válassza a kilencedik kijáratot,"},          -- take the ninth exit
    [10] = {"válassza a tizedik kijáratot,", "válassza a tizedik kijáratot,"},               -- take the tenth exit
    [11] = {"válassza a tizenegyedik kijáratot,", "válassza a tizenegyedik kijáratot,"},     -- take the eleventh exit
    [12] = {"válassza a tizenkettedik kijáratot,", "válassza a tizenkettedik kijáratot,"}    -- take the twelfth exit
}

unit = {                        
    ["MILE"] = { "mérföldön", "mérföld" },
    ["YARDS"] = { "yard", "yard" },
    ["FEET"] = { "láb", "láb" },
    ["KILOMETER"] = { "kilométeren", "kilométer" },
    ["METERS"] = { "méter", "méter" },
    ["METER"] = { "méter", "méter" },
    ["KILOMETERS"] = { "kilométeren", "kilométer" },
    ["MILES"] = { "mérföldön", "mérföld" },
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "észak felé",
    ["NORTH_EAST"] = "északkelet felé",
    ["EAST"] = "kelet felé",
    ["SOUTH_EAST"] = "délkelet felé",
    ["SOUTH"] = "dél felé",
    ["SOUTH_WEST"] = "délnyugat felé",
    ["WEST"] = "nyugat felé",
    ["NORTH_WEST"] = "északnyugat felé"
}

misc = { 
    ["gps_signal_lost_wav"] = "A GPS-jel elveszett",
    ["gps_signal_restored_wav"] = "A GPS-kapcsolat helyreállt",
 --   ["no_gps_signal_wav"] = "Nincs GPS-jel",
    ["route_recalculation_wav"] = "Útvonal újraszámítása",
    ["now_wav"] = "Most",
    ["end_of_street_wav"] = "Az út végén",
    ["follow_motorway_wav"] = "Kövesse az autópályát",
    ["follow_road_wav"] = "Kövesse az utat",
    ["for_wav"] = nil,
    ["after_wav"] = "után",
    ["after_the_junction_wav"] = "Az elágazás után",
    ["half_a_mile_wav"] = "Fél mérföld",
    ["quarter_a_mile_wav"] = "Negyed mérföld",
    ["three_quarter_of_mile_wav"] = "háromnegyed mérföld",
    ["immediately_wav"] = "majd rögtön",
    ["safety_camara_ahead_wav"] = "Sebességméro kamera következnek",
   --["over_speed_limit_wav"] = "Tartsa be a megengedett sebességet",
    ["traffic_automatic_detour_wav"] = "Forgalmas útvonal, elkerülo útvonal választása",
    ["traffic_manual_detour_wav"] = "Forgalmas útvonal, szeretné elkerülni?",
    ["no_detour_possible"] = "Elkerülo út számítása nem lehetséges a forgalmas útvonal környékén",
    ["and_wav"] = "majd",
    ["and_then_wav"] = "majd",
    ["and_continue_on_wav"] = "és haladjon tovább",
    ["towards_wav"] = "felé",
    ["turn_wav"] = "válassza a kijáratot",
    ["onto_wav"] = nil,
    ["exit_wav"] = "válassza a kijáratot",
    ["second_right_wav"] = "válassza a másodikat jobbra",
    ["second_left_wav"] = "válassza a másodikat balra",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "gyalogoljon balra a körforgalomban",
    ["walk_right_roundabout_wav"] = "gyalogoljon jobbra a körforgalomban",
    ["walk_roundabout_wav"] = "Kerülje meg a körforgalmat",
    ["head_wav"] = "Haladjon",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = nil,
    ["the_footpath_wav"] = "az ösvényre"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav",
	["speed_limit_beeps"] = "g5war_speed_limit_soft4edit9.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


